%global pypi_name markdown-it-py

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 5
Summary:        Python port of markdown-it
Group:          Development/Python
License:        MIT
URL:            https://github.com/executablebooks/markdown-it-py
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Markdown parser, done right. 100% CommonMark support, extensions, syntax
plugins & high speed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Markdown parser, done right. 100% CommonMark support, extensions, syntax
plugins & high speed.

%pyproject_extras_subpkg -n python3-%{pypi_name} linkify plugins

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove unnecessary shebang
sed -i '1{\@^#!/usr/bin/env python@d}' markdown_it/cli/parse.py
# Remove coverage (it resides in testing extra which we want to use)
# Upstream issue to move those to another extra:
# https://github.com/executablebooks/markdown-it-py/issues/195
sed -i '/"coverage",/d' pyproject.toml
sed -i '/"pytest-cov",/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files markdown_it

%check
# Skipped test uses linkify-it-py extra which we don't have
%pytest tests/ -k "not test_linkify"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE LICENSE.markdown-it
%doc README.md
%{_bindir}/markdown-it


%changelog
* Sat Feb 22 2025 wally <wally> 3.0.0-5.mga10
+ Revision: 2150734
- rebuild for python3.13

* Sun Jan 21 2024 wally <wally> 3.0.0-4.mga10
+ Revision: 2033306
- add linkify and plugins extras subpkgs

* Sat Dec 09 2023 wally <wally> 3.0.0-3.mga10
+ Revision: 2016130
- rebuild with updated pyproject-rpm-macros

* Sat Dec 09 2023 wally <wally> 3.0.0-2.mga10
+ Revision: 2016040
- rebuild for py3.12

* Wed Oct 11 2023 papoteur <papoteur> 3.0.0-1.mga10
+ Revision: 1994588
- new 3.0.0

* Sun Apr 02 2023 papoteur <papoteur> 2.2.0-1.mga9
+ Revision: 1951259
- new 2.2.0

* Wed Aug 10 2022 wally <wally> 2.1.0-1.mga9
+ Revision: 1876667
- mageiafy .spec
- import based on .spec from Fedora


* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 2.1.0-2
- Rebuilt for Python 3.11

* Tue Apr 19 2022 Lumír Balhar <lbalhar@redhat.com> - 2.1.0-1
- Update to 2.1.0
Resolves: rhbz#2075950

* Mon Jan 31 2022 Karolina Surma <ksurma@redhat.com> - 2.0.1-1
- Update to 2.0.1
Resolves: rhbz#2028769
- Generate test dependencies from upstream data instead of hardcoding them

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 Karolina Surma <ksurma@redhat.com> - 1.1.0-4
- Enable more tests in %%check using pytest-regressions

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.1.0-2
- Rebuilt for Python 3.10

* Thu May 13 2021 Karolina Surma <ksurma@redhat.com> - 1.1.0-1
- Initial package.
